TAAS - Feature #83

Set File Status
11/01/2022 03:28 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 01/06/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Set File Status

Description

Coding Set File Status

History

#1 - 11/08/2022 10:43 AM - Anil KV
- Assignee changed from Anil KV to Junaid M

#2 - 11/21/2022 06:58 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

Pending ltems => File related issues, cancel items.
Created Docs => File related documents.

#3 - 12/07/2022 11:58 AM - Anil KV
- Assignee changed from Junaid M to Amal Siby

#4 - 12/22/2022 01:16 PM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 12/22/2022 01:55 PM - Amal Siby
- Status changed from Coding Started to Open
- % Done changed from 40 to 10

#6 - 01/06/2023 09:49 AM - Amal Siby

- Status changed from Open to Coding Started

- Start date changed from 11/01/2022 to 01/06/2023
- % Done changed from 10 to 40

#7 - 01/09/2023 12:49 PM - Amal Siby

- Status changed from Coding Started to Particialy Coding Done
File Status particialy committed.
On Hold

1.Pending items tab

2.Created Doc tab

3.Total Balance, credit, Debit fields.

#8 - 01/11/2023 09:59 AM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.FIXBUGS ON DATE
(DISPLAYING PREVIOUS DATE INSTEAD OF ACTUAL DATE)

#9 - 02/01/2023 03:32 PM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

Date Bug Fiexed.

File Status particialy committed.
On Hold

1.Pending items tab

2.Created Doc tab

3.Total Balance, credit, Debit fields.

#10 - 02/02/2023 09:55 AM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUND *****
1.FILE STATUS AUTOMATICALLY CHANGING WHILE EDIT/ADD REMARK
2.FIX RAW FILTER BUGS ON "PENDING ITEMS" WIDGET

#11 - 02/07/2023 10:50 AM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

#12 - 03/10/2023 05:57 PM - Amal Cyriac
- Status changed from Particialy Coding Done to Reopen Bugs

- % Done changed from 40 to 50

ISSUE FOUND *****

1.Fix double entry bugs on grid- While updation
2.fix bugs on Raw filter

(Not responding)

#13 - 06/07/2023 06:37 PM - Amal Siby
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

On Hold

1.Pending items tab

2.Created Doc tab

3.Total Balance, credit, Debit fields.

1,2,3 Completed.

#14 - 07/22/2023 06:15 PM - unnikannan S

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ISSUE IN TABLE SIZE OF CREATED DOCS
2.ADD MODIFIED BY

#15 - 07/25/2023 07:36 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Bug Fixed

#16 - 08/25/2023 01:09 PM - unnikannan S
TESTING DONE

#17 - 02/23/2024 04:30 PM - Amal Siby
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#18 - 02/23/2024 07:09 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 02/29/2024 06:14 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI CHANGES

Done 1) Add Grouping in Pending Items List (Service wise)
Done 2) Grid Columns
#|lssue Date|Ticket/Voucher|Price

#20 - 03/01/2024 02:13 PM - Amal Siby
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#21 - 05/03/2024 10:48 AM - Junaid M

- Assignee changed from Amal Siby to Greeshma S

#22 - 06/06/2024 01:53 PM - unnikannan S
- File clipboard-202406061353-hlixz.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#23 - 06/06/2024 01:54 PM - unnikannan S
ISSUE FOUNDED

1.Error On Update

#24 - 06/20/2024 04:44 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#25 - 06/22/2024 09:58 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Re-Direction in List

#26 - 06/22/2024 10:59 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

It is not used for redirection. It is used to edit remarks.

#27 - 12/03/2024 12:31 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#28 - 01/10/2025 06:47 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

New Changes

Status Changes

1)close-Control through File close ,cant change the from close status to any other without deleting the file close (Only for Restriction and posting
package)

2)Complete -only when atleast one item from all services need to be issued/sold

3)Cancel-Only when all the issue in file open are cancelled

4)Complete-atleast one item from all services should be in issued

5)from cancel and completed can change to reopen

#29 - 01/31/2025 09:34 AM - Greeshma S
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#30 - 02/08/2025 10:28 AM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue found

1)Issue on Complete,cancel status with respect to admin settings
2)Cancel to complete restriction is not working

#31 - 02/08/2025 06:31 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 02/12/2025 01:59 PM - Theja Ponon
- File clipboard-202502121109-ksre5.png added
- File clipboard-202502121119-oadhd.png added

#33 - 02/12/2025 01:59 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#34 - 02/12/2025 04:13 PM - Theja Ponon
- File clipboard-202502121512-i4mfm.png added

Issue found

1)On clicking new data is not clearing----Not able to reproduce

2)can change from Step one completed,step two completed,step three completed to any status (not considering admin settings)--fixed
3)Once reopened reopen status comes between every status change---cant reproduce

Set File Status

File No™ | /001 Date™ | 12/02/2025 & | Ppending items = Created Docs
Status® | Completed v 5
— Pending ltems List Fs T a 2 @
4 Issue Date Ticket/Voucher Price
Total Debit 0.00 Totel Credit  0.00 -
Balance 0.00 Last Status Re-Opened e A Tt i
Created By: Administrator (12/02/2025 11:08 AM) 12/02/2025 ko1 440000
~  Service: Other Service
12/02/2025 on 340000
~  Service: Package Service
12/02/2025 pKO1 510000
Y @ =
#  status user Date Remarks
1 Process Administrator 12/02/2025 &
2 Completed Administrator 12/02/2025 &
3 Completed Administrator 12/02/2025 V'
4 ReOpened Administrator 12/02/2025 &
5 Completed Administrator 12/02/2025 v
6  Re-Opened Administrator 12/02/2025 &
7 Step One Completed Administrator 12/02/2025 &
8 Re-Opened Administrator 12/02/2025 s
9 Completed Administrator 12/02/2025 p

4)After closing previous status also changes to close---fixed

Travvise Set File Status
TRAVEL SOLUTION BVT LTB
File No* | Fo/001 Date* | 12/02/2025 Pending Items | Created Docs
Status™ | Closed
Remarks
£ Issue Date Ticket/Voucher Price
Total Debit  12900.00 Total Credit 1290000
Balance 0.00 Last Status Closed
Created By:
No data

Set File Status List T Q 2
% | Status User Date Remarks

1 Closed Administrator 12/02/2025 4
2 Closed Administrator 12/02/2025 Vs
3 | Closed Administrator 12/02/2025 4
a Closed Administrator 12/02/2025 s
5 | Closed Administrator 12/02/2025 V4
6 Closed Administrator 12/02/2025 Vs
7 | Closed Administrator 12/02/2025 4
8 Closed Administrator 12/02/2025 s
9 | Closed Administrator 12/02/2025 V4
10 | Closed Administrator 12/02/2025 Vs m Q

5)can change a file open with all issue in active state to cancel status when admin settings restriction for cancel is all issued item should be cancelled
---fixed

#35 - 02/17/2025 09:38 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#36 - 02/21/2025 02:29 PM - Theja Ponon

- File clipboard-202502211219-rojqg.png added
- File clipboard-202502211220-pckdf.png added
- File clipboard-202502211242-qjcqf.png added
- File clipboard-202502211421-tncvk.png added

- File clipboard-202502211428-avoyv.png added

- File clipboard-202502211428-kurnl.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)Not showing updated by
ravvise Set File Status

AVEL SOLUTION PYTLTD

File Status has been Updated.

File Ne™ | FO/004 Date™ | 21/02/2025 & Pending Itemr
Status™  Process v
Remarks Pending I
£ Is
Total Debit 3200.00 Total Credit 3200.00
Balance 0.00 Last Status Open

Created By: Administrator (21/02/2025 12:18 PM)

2)Last status is not changing
@ Iravvise Set File Status

Collapse File No™ | FO/004 Date” | 21/02/2025 B | Pending items | Created Docs
“ -
Home. Staws” | Completed v
Remarks | odad Created Docs List T Q 2 @&
Front
£ #  DocDate Doc Type Currency Debit Credit Matched Balance
Back Total Debit 3200.00 Total Credit 3200.00
—3 1 21/0202025 QAR 320000 320000 000 000
=
Report Balance 0.00 Last Status Open
Q
oy Created By:  Administrator (21/02/2025 1220 PM)
o
To Do
@ Set File Status List T Q 2 O
¢
& # | status User Date Remarks
More
3 1 Open Administrator 21/02/2025 s
v 2 Step One Completed Administrator 21/02/2025 rd
3 Completed Administrator 21/02/2025 adad d

vise Set File Status
File No™ | £0/004 Date® | 21/02/2025 B | Pending ltems | Created Docs ‘
-
Homdl Status™ | Step One Completed v ‘
Remarks Pending Items List P T @ 2 @
Front
B 4 Issue Date Ticket/Voucher Price
Total Devit  3200.00 TotalCredit 320000
b Balance 0.00 Last Status Step Three Completed
Q
incl/In Created By:
& No data
o Do
B
aster
&
More
"
Set File Status List T Q 2 I
W 2  status user Date Remarks
& 1 Open Administrator 21/02/2025 Vi
hboard
2 StepOneCompleted  Administrator 21/02/2025 V.
3 Completed Administrator 21/02/2025 adad Vi

4)On clicking New previous data is not clearing
5)all previous status become close after closing
Travvise Set File Status

File No™ | FO/004 Date™ | 21/02/2025 B | pending items | Created Docs

Status”™ | Closed v
Remarks pending Items List " T @ £ @
- Issue Date Ticket/Voucher price
Total Debit 3200.00 Total Credit 3200.00
Balance 0.00 Last Status Completed
Created By:
No data
Set File Status List T @ = @
# | sttus User Date Remarks
1 Closed Administrator 21/02/2025 &
2 Closed Administrator 21/02/2025 &
3 Closed Administrator 21/02/2025 adad &
4 Closed Administrator 21/02/2025 &
5 Closed Administrator 21/02/2025 &

6 )After deleting the close status list is changed to previous status
i Set File Status

File No™ | F0/004 Date™ | 21/02/2025 =] Pending Items = Created Docs E
Status” | Completed v N
Remarks Pending Items List e Y a 2
4 Issue Date Ticket/Voucher Price
Total Debit 3200.00 Total Credit 3200.00
Balance 0.00 Last Status Closed
Created By:
No data
Set File Status List T 2 O
#  Status User Date Remarks
1 Completed Administrator 21/02/2025 &
2 Completed Administrator 21/02/2025 &
3 Completed Administrator 21/02/2025 adad &
4 Completed Administrator 21/02/2025 s
5 Completed Administrator 21/02/2025 &

7)Once the status changes to reopen can change to any other status without checking the restriction in admin settings

#37 - 02/24/2025 09:25 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#38 - 03/05/2025 12:27 PM - Theja Ponon
- File clipboard-202503051101-oaetn.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)Issue on showing last status
2)Cant complete after reopened
Set File Status 29 1= MEnu-_Q LAY}

File No* | FO/001 Date” | 05/03/2025 =] Pending Items  Created Docs

Status” | Re-Opened v ‘

Remarks | Open P Y @ B @

Process

Issue Date Ticket/Voucher Price
Step One Completed

Step Two Completed

Step Three Completed
Created By:
Madified By:

Cancelled

Completed No data

Re-Opened

Closed

Status User Date Remarks

“

Open Administrator 05/03/2025

~

Step One Completed Administrator 05/03/2025

~

Step One Completed Administrator 05/03/2025

~

Step Three Completed  Administrator 05/03/2025

Process Administrator 05/03/2025

mm.wm_n
~

~

Completed 05/03/2025

~

Re-Opened 05/03/2025

~

#39 - 03/05/2025 06:44 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 03/10/2025 10:58 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Data is not clearing o New click

2)Can complete a file open when admin settings restriction for complete is All package service should be present and active but actually all the items
are inactive state(refunded)

3)Pending services are not showing

#41 - 03/10/2025 06:16 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#42 - 03/12/2025 02:55 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)Can change to cancel state when admin settings restriction to canecl is both selected and in file open all service are in active state

#43 - 03/12/2025 06:52 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#44 - 03/14/2025 12:52 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)Cant change the file status into complete when all items are in active state(sold) and admin settings restriction to complete is All package service
should be present and active
#45 - 03/14/2025 06:06 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 03/20/2025 10:47 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Data is not clearing in new click---- not a bug (Data is cleared on clicking new button... but the mentioned problem is performing document No
focusout and new button click is performed at a a time)

#47 - 03/20/2025 06:30 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#48 - 03/25/2025 04:57 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Can cancel a file when all items are in active state and admin settings for cancel is both selected

#49 - 03/25/2025 06:14 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#50 - 03/27/2025 11:21 AM - Theja Ponon

- File clipboard-202503271121-zxygn.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Can change into previous status after complete status
clipboard-202503271121-zxygn.png

#51 - 03/27/2025 06:05 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#52 - 04/03/2025 11:02 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)On updating a current status also enter as a new entry on list (previous entry is not removing)

#53 - 04/03/2025 06:17 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#54 - 04/08/2025 03:40 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Cant complete a file open with active state,and admin settings restriction to complete is all package service should present and active

#55 - 04/09/2025 09:34 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

2-tsModel.ts 1.74 KB 11/21/2022 Junaid M
1-CsModel.cs 2.4 KB 11/21/2022 Junaid M
3-CsFile.cs 11.4 KB 11/21/2022 Junaid M
4-CsControllerFile.cs 24.4 KB 11/21/2022 Junaid M
6-HtmlFile.html 1.91 KB 11/21/2022 Junaid M
5-TsFile.ts 14.2 KB 11/21/2022 Junaid M
sql.sql 11.4 KB 11/21/2022 Junaid M
clipboard-202406061353-hlixz.png 108 KB 06/06/2024 unnikannan S
clipboard-202502121109-ksre5.png 129 KB 02/12/2025 Theja Ponon
clipboard-202502121119-oadhd.png 73.6 KB 02/12/2025 Theja Ponon
clipboard-202502121512-i4mfm.png 163 KB 02/12/2025 Theja Ponon
clipboard-202502211219-rojqg.png 36.8 KB 02/21/2025 Theja Ponon
clipboard-202502211220-pckdf.png 106 KB 02/21/2025 Theja Ponon
clipboard-202502211242-qgjcqf.png 116 KB 02/21/2025 Theja Ponon
clipboard-202502211421-tncvk.png 122 KB 02/21/2025 Theja Ponon
clipboard-202502211428-avoyv.png 106 KB 02/21/2025 Theja Ponon
clipboard-202502211428-kurnl.png 106 KB 02/21/2025 Theja Ponon
clipboard-202503051101-0aetn.png 119 KB 03/05/2025 Theja Ponon
clipboard-202503271121-zxygn.png 86.7 KB 03/27/2025 Theja Ponon
